export interface IUserWalletCryptos {
	Crypto: ICryptoInWalletInfo;
	amount: number;
}

export interface ICryptoInWalletInfo {
	id: string;
	name: string;
	value: number;
	image: string;
	quantity: number;
	created_at: string;
	updated_at: string;
}

export interface ICryptoInUserWalletInfo extends ICryptoInWalletInfo {
	owned_amount: number;
}

export type IAllTrades = ITrade[];

export interface ITrade {
	Giver: ISellerIdentity;
	Receiver: IBuyerIdentity;
	Crypto: ITradedCrypto;
}

export interface ISellerIdentity {
	firstName: string;
	lastName: string;
	pseudo: string;
	dollarAvailables: number;
}

export interface IBuyerIdentity {
	firstName: string;
	lastName: string;
	pseudo: string;
	dollarAvailables: number;
}

export interface ITradedCrypto {
	id: string;
	name: string;
	value: number;
	image: string;
	quantity: number;
	created_at: string;
	updated_at: string;
}
